/*
 * StdOutChannel.java
 *
 * Created on 18 May 2009
 *
 * Version 1.0
 *
 * Copyright (c) 2009 Kieran Greer
 *
 */

package org.jlog2.channel;


/**
 * This class provides a channel to log messages to the system standard output stream.
 * @author Kieran Greer
 */
public class StdOutChannel extends LogChannel
{
    /**
     * Create a new instance of StdOutChannel.
     * @throws java.lang.Exception any error.
     */
    public StdOutChannel() throws Exception
    {
        createLogChannel();
    }


    /**
     * Create the file channel.
     * @throws java.lang.Exception any error.
     */
    protected void createLogChannel() throws Exception
    { /** System.out automatically available */ }

    /**
     * Write the message to the file channel.
     * @param message the message to write.
     * @throws java.lang.Exception any error.
     */
    public void writeMessage(String message) throws Exception
    {
        System.out.println(message);
    }

    /**
     * Write an exception to the file channel.
     * @param error the error to write.
     * @throws java.lang.Exception any error.
     */
    public void writeError(Exception error) throws Exception
    {
        error.printStackTrace();
    }
}
